--- a/src/gcc/m2/mc-boot/GRTExceptions.c
+++ b/src/gcc/m2/mc-boot/GRTExceptions.c
@@ -54,6 +54,10 @@ see the files COPYING3 and COPYING.RUNTI
 #define _RTExceptions_H
 #define _RTExceptions_C
 
+#ifndef __cplusplus
+extern void throw (unsigned int);
+#endif
+
 #   include "GASCII.h"
 #   include "GStrLib.h"
 #   include "GStorage.h"
